[prev in list] [next in list] [prev in thread] [next in thread] 

List:       gentoo-dev
Subject:    [gentoo-dev] [PATCH] vala.eclass: Check for vala compiler in the right location
From:       Matija Skala <mskala () gmx ! com>
Date:       2017-09-30 9:24:14
Message-ID: 3905868.WzOxTZikq3 () novprenosnik
[Download RAW message or body]

it should be installed into /, not into ${ROOT}

---
 eclass/vala.eclass | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/eclass/vala.eclass b/eclass/vala.eclass
index f8a45cdebed6..4227a64c394b 100644
--- a/eclass/vala.eclass
+++ b/eclass/vala.eclass
@@ -81,7 +81,7 @@ vala_best_api_version() {
 	local u v
 	[[ ${VALA_USE_DEPEND} ]] && u="[${VALA_USE_DEPEND}(+)]"
 	for v in $(vala_api_versions); do
-		has_version "dev-lang/vala:${v}${u}" && echo "${v}" && return
+		ROOT=/ has_version "dev-lang/vala:${v}${u}" && echo "${v}" && return
 	done
 }
 
@@ -115,7 +115,7 @@ vala_src_prepare() {
 	fi
 
 	if [[ ${version} ]]; then
-		has_version "dev-lang/vala:${version}" || die "No installed vala:$
{version}"
+		ROOT=/ has_version "dev-lang/vala:${version}" || die "No installed vala:
${version}"
 	else
 		version=$(vala_best_api_version)
 		[[ ${version} ]] || die "No installed vala in $(vala_depend)"

[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic